Subject: Re: bug#1388: 23.0.60; Emacs shell problem with echo "1+1" | bc

From: Stefan Monnier <[email-masked]>
Date: Mon, 24 Nov 2008 11:15:17 -0500

>> Not sure if it's better in general.
>> Maybe we should just leave the code as is for now, but add a comment
>> explaining the problem.  For the longer term we can either try your
>> approach,

> I'm happy to make changes, but I'm not sure what you are saying here.

> Do you want me to just set process-connection-type nil for every
> element of an eshell pipe, including the first? What I installed was
> the version where the first command gets p-c-t non-nil (actually,
> whatever the default is).

"as is" means, as it was when the OP bumped into the problem.
I see you've already made a change to eshell, but I was not referring
to that.

        Stefan